RunReveal

McpServersConnect operation

POST
/mcp/servers/connect

Request Body

application/jsonRequired

idstring

scopesarray<string>

curl -X POST "https://api.runreveal.com/mcp/servers/connect" \
  -H "Content-Type: application/json" \
  -d '{
    "id": "string",
    "scopes": [
      "string"
    ]
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "authorizationURL": "string"
  },
  "success": true
}

McpServersCreate operation

POST
/mcp/servers/create

Request Body

application/jsonRequired

displayNamestring

enabledboolean

endpointstring

namestring

requiresAuthboolean

curl -X POST "https://api.runreveal.com/mcp/servers/create" \
  -H "Content-Type: application/json" \
  -d '{
    "displayName": "string",
    "enabled": true,
    "endpoint": "string",
    "name": "string",
    "requiresAuth": true
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "connectionState": "string",
    "createdAt": {},
    "createdBy": "string",
    "displayName": "string",
    "enabled": true,
    "endpoint": "string",
    "id": "string",
    "name": "string",
    "oauthClientID": "string",
    "oauthIssuer": "string",
    "oauthRegistrationType": "string",
    "oauthScopes": [
      "string"
    ],
    "requiresAuth": true,
    "tokenExpiresAt": {},
    "updatedAt": {},
    "workspaceID": "string"
  },
  "success": true
}

McpServersDelete operation

DELETE
/mcp/servers/delete
curl -X DELETE "https://api.runreveal.com/mcp/servers/delete?id=string"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {},
  "success": true
}

McpServersDeletePreview operation

GET
/mcp/servers/delete/preview
curl -X GET "https://api.runreveal.com/mcp/servers/delete/preview?id=string"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "agents": [
      {
        "displayName": "string",
        "id": "string"
      }
    ]
  },
  "success": true
}

McpServersGet operation

GET
/mcp/servers/get
curl -X GET "https://api.runreveal.com/mcp/servers/get?id=string"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "connectionState": "string",
    "createdAt": {},
    "createdBy": "string",
    "displayName": "string",
    "enabled": true,
    "endpoint": "string",
    "id": "string",
    "name": "string",
    "oauthClientID": "string",
    "oauthIssuer": "string",
    "oauthRegistrationType": "string",
    "oauthScopes": [
      "string"
    ],
    "requiresAuth": true,
    "tokenExpiresAt": {},
    "updatedAt": {},
    "workspaceID": "string"
  },
  "success": true
}

McpServersList operation

GET
/mcp/servers/list

Query Parameters

enabledOnlyboolean

curl -X GET "https://api.runreveal.com/mcp/servers/list?enabledOnly=true"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": [
    {
      "connectionState": "string",
      "createdAt": {},
      "createdBy": "string",
      "displayName": "string",
      "enabled": true,
      "endpoint": "string",
      "id": "string",
      "name": "string",
      "oauthClientID": "string",
      "oauthIssuer": "string",
      "oauthRegistrationType": "string",
      "oauthScopes": [
        "string"
      ],
      "requiresAuth": true,
      "tokenExpiresAt": {},
      "updatedAt": {},
      "workspaceID": "string"
    }
  ],
  "success": true
}

McpServersTest operation

POST
/mcp/servers/test

Request Body

application/jsonRequired

idstring

curl -X POST "https://api.runreveal.com/mcp/servers/test" \
  -H "Content-Type: application/json" \
  -d '{
    "id": "string"
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "status": "string",
    "toolCount": 0
  },
  "success": true
}

McpServersUpdate operation

POST
/mcp/servers/update

Request Body

application/jsonRequired

displayNamestring

enabledboolean

endpointstring

idstring

requiresAuthboolean

curl -X POST "https://api.runreveal.com/mcp/servers/update" \
  -H "Content-Type: application/json" \
  -d '{
    "displayName": "string",
    "enabled": true,
    "endpoint": "string",
    "id": "string",
    "requiresAuth": true
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "connectionState": "string",
    "createdAt": {},
    "createdBy": "string",
    "displayName": "string",
    "enabled": true,
    "endpoint": "string",
    "id": "string",
    "name": "string",
    "oauthClientID": "string",
    "oauthIssuer": "string",
    "oauthRegistrationType": "string",
    "oauthScopes": [
      "string"
    ],
    "requiresAuth": true,
    "tokenExpiresAt": {},
    "updatedAt": {},
    "workspaceID": "string"
  },
  "success": true
}